<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: getWavFilesFromLinux</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: getWavFilesFromLinux</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><h3>Load Stimulation Data from wav Files</h3>
<p>Details are described in the tutorial</p> 
<p>See <a href="tutorial-staticEngineModel.html">Static combustion engine model</a></p>
<h3>Parent module</h3>
<p> Index.js See <a href="module-socketCom.html"><code>module:socketCom</code></a></p>
<h3>Child modules</h3>
<p>There are no children. This is the lowest call level.</p></div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="nodeScripts_getWavFilesFromLinux.js.html">nodeScripts/getWavFilesFromLinux.js</a>, <a href="nodeScripts_getWavFilesFromLinux.js.html#line1">line 1</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="~signal_paths"><span class="type-signature">(inner) </span>signal_paths<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="nodeScripts_getWavFilesFromLinux.js.html">nodeScripts/getWavFilesFromLinux.js</a>, <a href="nodeScripts_getWavFilesFromLinux.js.html#line23">line 23</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="~exec"><span class="type-signature">(inner) </span>exec<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="nodeScripts_getWavFilesFromLinux.js.html">nodeScripts/getWavFilesFromLinux.js</a>, <a href="nodeScripts_getWavFilesFromLinux.js.html#line15">line 15</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~socket"><span class="type-signature">(inner) </span>socket<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="nodeScripts_getWavFilesFromLinux.js.html">nodeScripts/getWavFilesFromLinux.js</a>, <a href="nodeScripts_getWavFilesFromLinux.js.html#line49">line 49</a>
    </li></ul></dd>
    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="socket.html#emit"><code>socket#emit</code></a></li>
        </ul>
    </dd>
    

    
</dl>




















        
    

    

    
        <h3 class="subsection-title">Events</h3>

        
            

    

    
    <h4 class="name" id="~event:sendAudioFlPths">sendAudioFlPths</h4>
    

    







    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">object</span>


        </li>
    </ul>









    <h5 class="subsection-title">Properties:</h5>

    

<table class="props">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>table</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>Indicates whether the snowball is tightly packed.</p></td>
        </tr>

    
    </tbody>
</table>




<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="nodeScripts_getWavFilesFromLinux.js.html">nodeScripts/getWavFilesFromLinux.js</a>, <a href="nodeScripts_getWavFilesFromLinux.js.html#line44">line 44</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index.html">a_index</a></li><li><a href="module-b_create_caldata_buttons.html">b_create_caldata_buttons</a></li><li><a href="module-c_handleModelData.html">c_handleModelData</a></li><li><a href="module-deletePostgresData.html">deletePostgresData</a></li><li><a href="module-getPostgresData.html">getPostgresData</a></li><li><a href="module-getPostgresWOsocket.html">getPostgresWOsocket</a></li><li><a href="module-getWavFilesFromLinux.html">getWavFilesFromLinux</a></li><li><a href="module-loadRoadLoads.html">loadRoadLoads</a></li><li><a href="module-select-stimulation.html">select-stimulation</a></li><li><a href="module-setPostgresData.html">setPostgresData</a></li><li><a href="module-socketCom.html">socketCom</a></li><li><a href="module-updatePostgresData.html">updatePostgresData</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.startFileExample.html">startFileExample</a></li><li><a href="data.dataviz.html">dataviz</a></li><li><a href="data.dataviz.socketevent.html">socketevent</a></li><li><a href="data.handler.html">handler</a></li><li><a href="data.insertRow.html">insertRow</a></li><li><a href="socket.socketfunction.html">socketfunction</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="data.dataviz.html#.event:thermdata">thermdata</a></li><li><a href="module-getWavFilesFromLinux.html#~event:sendAudioFlPths">sendAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:connection">connection</a></li><li><a href="socket.socketfunction.html#.event:curvedata">curvedata</a></li><li><a href="socket.socketfunction.html#.event:disconnect">disconnect</a></li><li><a href="socket.socketfunction.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:getCurve">getCurve</a></li><li><a href="socket.socketfunction.html#.event:getTable">getTable</a></li><li><a href="socket.socketfunction.html#.event:initNewData">initNewData</a></li><li><a href="socket.socketfunction.html#.event:tabledata">tabledata</a></li><li><a href="socket.socketfunction.html#.event:time">time</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Mon Jul 26 2021 17:21:19 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>